Page MenuHomePhabricator

Gray for active elements in the VE toolbar is too light
Closed, ResolvedPublic1 Story Points

Description

The color of the text of the active elements in the VE toolbar, is currently #555 (on a white background). This passes all WCAG contrast checks, but it still seems quite pale, and it keeps confusing me into thinking that various parts are inactive,
particularly because the text is next to

  • the thicker width lines of the icons (which hence appear darker),
  • the darker text of the page content,
  • the lightened text of the page Title
  • the even lighter grey of the down-triangle/arrow (which is due to the opacity: 0.3;)

Changes introduced in v0.17.9 of OOjs UI:

(See also T89271: Gray for "inactive" elements in the toolbar is too light - Once that is darker, the text of the active elements will need to be correspondingly darker, too)

Related Objects

StatusAssignedTask
Resolved Spage
OpenNone
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
InvalidVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
DuplicateVolker_E
ResolvedNone
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedNirzar
ResolvedVolker_E
OpenNone
OpenNone
ResolvedNone

Event Timeline

Quiddity created this task.May 13 2015, 5:58 PM
Quiddity raised the priority of this task from to Needs Triage.
Quiddity updated the task description. (Show Details)
Quiddity added a subscriber: Quiddity.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 13 2015, 5:58 PM
Neil_P._Quinn_WMF triaged this task as Normal priority.May 14 2015, 9:24 PM
Neil_P._Quinn_WMF set Security to None.

Interesting that the text of all dropdown menus is pure black #000, not #555 like the toolbar. I'm not sure if that's intentional, or emergent behavior that got "codified".

Nirzar added a subscriber: Nirzar.Jun 10 2015, 6:40 PM

Interesting that the text of all dropdown menus is pure black #000, not #555 like the toolbar. I'm not sure if that's intentional, or emergent behavior that got "codified".

Patch-For-Review at https://gerrit.wikimedia.org/r/226316

Change 226316 had a related patch set uploaded (by Jforrester):
MediaWiki theme: Align colour of toolbar and dropdown buttons

https://gerrit.wikimedia.org/r/226316

Change 226316 merged by jenkins-bot:
MediaWiki theme: Align colour of toolbar and dropdown buttons

https://gerrit.wikimedia.org/r/226316

Volker_E updated the task description. (Show Details)Aug 29 2016, 5:50 PM
Volker_E updated the task description. (Show Details)Sep 12 2016, 10:49 PM

Version 0.17.9 of OOjs UI will roll out an overhaul of various elements to comply to WCAG 2.0 level AA guidelines, based on a new, improved color palette by design folks at WMF. A small part of this change is also increasing contrast on toolbar tool items from currently #555 to #222.
I'm leaving it up to @Quiddity as author of this task to judge and (presumptively) change this task to “resolved”.

Restricted Application added a project: UI-Standardization. · View Herald TranscriptSep 13 2016, 12:00 AM
Jdforrester-WMF moved this task from Backlog to OOjs-UI-0.17.9 on the OOUI board.Sep 13 2016, 4:40 PM
Jdforrester-WMF edited projects, added OOUI (OOjs-UI-0.17.9); removed OOUI.
Quiddity closed this task as Resolved.Sep 19 2016, 4:46 PM

Looks good to me.

Jdforrester-WMF set the point value for this task to 1.Sep 21 2016, 5:10 PM
Jdforrester-WMF moved this task from Freezer to External and Administrivia on the VisualEditor board.